DECLARE
  
   TYPE rt_savings IS RECORD 
   ( staff  NUMBER
   , salary NUMBER );

   r_savings rt_savings;
 
BEGIN
  
   DELETE FROM emp
   WHERE  deptno = ( SELECT deptno FROM dept WHERE dname = 'RESEARCH' )
   RETURNING COUNT(sal), SUM(sal) INTO r_savings;

   DBMS_OUTPUT.PUT_LINE(
      TO_CHAR(r_savings.staff) || ' jobs outsourced with monthly ' || 
      'savings of ' || TO_CHAR(r_savings.salary) || '.'
      );

END;
/
